Page MenuHomePhabricator

Thumbnails don't seem to be being created/saved for id_internalwikimedia
Closed, ResolvedPublic

Description

id_internalwikimedia is a recently created private wiki (T196747). Uploads seem to be working fine to the wiki, but thumbs (via thumb.php) don't seem to be working.

Thumbs are giving 404s and FileOperation.log says the thumbs don't exist. The swift containers for the thumbs are empty, but the originals are there

2018-08-03 15:47:21 [W2R5CQpAADwAAHzvn4YAAAAL] mw1265 id_internalwikimedia 1.32.0-wmf.15 FileOperation DEBUG: FileBackendStore::preloadFileStat: File mwstore://local-swift-eqiad/local-thumb/c/cd/WMID_RK_USD_September_2013.jpg/431px-WMID_RK_USD_September_2013.jpg does not exist.
reedy@deploy1001:~$ mwscript eval.php id_internalwikimedia
> $b = FileBackendGroup::singleton()->get( 'local-multiwrite' );

> $path = $b->getRootStoragePath() . '/local-thumb';

> foreach ( $b->getFileList( [ 'dir' => $path ] ) as $file ) { var_dump( $file ); }

> $path = $b->getRootStoragePath() . '/local-public';

> foreach ( $b->getFileList( [ 'dir' => $path ] ) as $file ) { var_dump( $file ); }
string(32) "0/00/REDACTED"
string(47) "0/00/REDACTED"
string(39) "0/00/REDACTED"
(etc)
>

Event Timeline

Reedy created this task.Aug 3 2018, 4:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2018, 4:14 PM
Reedy updated the task description. (Show Details)Aug 3 2018, 4:19 PM
herron triaged this task as High priority.Aug 3 2018, 9:10 PM
herron added subscribers: herron, fgiunchedi.

Change 450539 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] thumbor: add wikimedia-id-internal-local-public private container

https://gerrit.wikimedia.org/r/450539

I believe that's because thumbor has to know about private containers, I've proposed https://gerrit.wikimedia.org/r/c/operations/puppet/+/450539 and we should update the new wiki creation checklist to include this step too.

Reedy added a comment.Aug 6 2018, 11:19 AM

Is there a script? Or just add to that file?

Needs adding to Add a Wiki on wiktech as you say

No script no, just a review like the above. I'll deploy that later today.

Change 450539 merged by Filippo Giunchedi:
[operations/puppet@production] thumbor: add wikimedia-id-internal-local-public private container

https://gerrit.wikimedia.org/r/450539

Mentioned in SAL (#wikimedia-operations) [2018-08-06T14:30:08Z] <godog> roll-restart thumbor after adding new private containers - T201187

Can you try again?

Urbanecm closed this task as Resolved.Aug 8 2018, 2:57 PM
Urbanecm assigned this task to fgiunchedi.

Works, thanks.